Changes between Version 4 and Version 5 of OpenvpnDevelPackageForOpenWRT


Ignore:
Timestamp:
02/23/14 19:27:37 (5 years ago)
Author:
leo
Comment:

Update added: Latest unstable (trunk) release of OpenWRT includes OpenVPN 2.3.2. The below documentation is obsolete because there is no openvpn-devel package anymore.

Legend:

Unmodified
Added
Removed
Modified
  • OpenvpnDevelPackageForOpenWRT

    v4 v5  
    33OpenWrt is a very small Linux distribution for routers, initially the Cisco/Linksys "WRT 54 GL", thus the name.
    44
    5 !OpenWrt comes with an OpenVPN package based on the mainstream 2.1 release (as of 2010/06/27).
     5!OpenWrt (stable) comes with an OpenVPN package based on the mainstream 2.1 release (as of 2010/06/27).
     6
     7Update: 2014/02/23: Latest unstable (trunk) release of OpenWRT includes OpenVPN 2.3.2. IPv6 support is included. The below documentation is obsolete because there is no openvpn-devel package anymore.
    68
    79If you want IPv6 support or any of the other features in the development tree, you have to build your own package, based on the openvpn-devel sources.  Given that !OpenWrt packages are not for standard i386/amd64 CPUs but usually some sort of MIPS system, you need a cross-compilation environment and special tools - but that's all already provided by the !OpenWrt folks, so you just need to add a few bits to add your own package.